{
  "name": "Smart Construction Dashboard",
  "private": true,
  "version": "1.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build:dev": "vue-tsc -b && vite build --mode development",
    "build:prod": "vue-tsc -b && vite build --mode production",
    "preview": "vite preview",
    "lint": "eslint .",
    "lint:fix": "prettier --write . && eslint --fix ."
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.2",
    "@kjgl77/datav-vue3": "^1.7.4",
    "@visactor/vchart": "^2.0.3",
    "dayjs": "^1.11.13",
    "echarts": "^6.0.0",
    "element-plus": "^2.10.6",
    "less": "^4.4.0",
    "less-loader": "^12.3.0",
    "lodash-es": "^4.17.21",
    "normalize.css": "^8.0.1",
    "vue": "^3.5.18",
    "vue-router": "^4.5.1"
  },
  "devDependencies": {
    "@types/lodash-es": "^4.17.12",
    "@types/node": "^24.2.1",
    "@unocss/preset-wind3": "^66.4.2",
    "@vitejs/plugin-vue": "^6.0.1",
    "@vue/tsconfig": "^0.7.0",
    "eslint": "^9.33.0",
    "eslint-config-ali": "^16.5.0",
    "eslint-config-prettier": "^10.1.2",
    "eslint-plugin-prettier": "^5.2.6",
    "prettier": "^3.5.3",
    "prettier-config-ali": "^1.3.2",
    "sharp": "^0.34.3",
    "svgo": "^4.0.0",
    "typescript": "~5.8.3",
    "unocss": "^66.3.3",
    "unplugin-auto-import": "^20.0.0",
    "unplugin-vue-components": "^29.0.0",
    "vite": "^7.1.0",
    "vite-plugin-image-optimizer": "^2.0.2",
    "vue-tsc": "^3.0.5"
  }
}
